KUBERNETES-SPLIT-YAML(1)

NAME
kubernetes-split-yaml - Split a giant yaml file into one file per Kubernetes resource

DESCRIPTION

  NAME:

    kubernetes-split-yaml - Split the 'giant yaml file' into one file pr kubernetes resource

  USAGE:

    kubernetes-split-yaml [global options] command [command options] [arguments...]

  COMMANDS:

help, h
    Shows a list of commands or help for one command

  GLOBAL OPTIONS:

--outdir value
    output dir (default: "generated")

--template_sel value
    pre-set template to use (default: "tpl_flat")

--tpl_flat outdir
    tpl_flat gotemplate (.X.Outdir is set to outdir flag) (default: "{{.X.Outdir}}/{{.Metadata.Name}}-{{.X.ShortKind}}.yaml")

--tpl_ns value
    tpl_ns gotemplate (.X.NS equals .Metadata.Namespace or '_no_ns_' if unset) (default: "{{.X.Outdir}}/{{.X.NS}}/{{.Metadata.Name}}.{{.Kind}}.yaml")

--name_re value
    Kubernetes API metadata.name to match (default: "^[^/ ]+$")

--namespace_re value
    Kubernetes API metadata.namespace to match (default: "^(|[a-z0-9]([-a-z0-9]*[a-z0-9])?)$")

--kind_re value
    Kubernetes API kind to match (default: "^[0-9a-zA-Z]+$")

--file_re value
    final output file regex to match (default: ".+")

--help, -h
    show help